package org.academiadecodigo.bootcamp11.guessinggame;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */
public class Main {
    public static void main(String[] args) {
        String[] namePool = {"Drake", "Ivan", "JP", "Flávio",
                "João", "Luís", "Daniel", "Aires", "Jorge",
                "Rodrigo", "Filipe", "Pedro", "Ricardo", "Ana",
                "Bruno", "Gonçalo", "Samuel", "Romeu"};
        int maxNumOfPlayers = 3;
        int maxNumberToGuess = 10;
        int maxTries = 3;

        System.out.println("Let's start a guessing game.\n");

        Player[] players = Player.fillPlayers(maxNumOfPlayers,
                namePool, maxTries);

        System.out.println("\nNow we'll setup our Game Master.");
        Game game = new Game(maxNumberToGuess, players);

        System.out.println("\nAnd finally, now that we're all setup," +
                " we can begin the game!\n");
        game.start();
    }
}
